Bug 244691 - anaconda doesn't propagate policy load failure properly
Summary: anaconda doesn't propagate policy load failure properly
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: F8Blocker
TreeView+ depends on / blocked
 
Reported: 2007-06-18 15:39 UTC by Bill Nottingham
Modified: 2014-03-17 03:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-11 17:17:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Nottingham 2007-06-18 15:39:43 UTC
Description of problem:

If I (for example) pungi a tree with no SELinux policy included, anaconda fails
to load the policy. It then turns off the SELINUX flag in the loader... but
never propagates it to the second stage.

So, the installer allows you to configure SELinux for the installed system, and
sets it up by default. Which then fails pretty spectacularly on reboot.

Version-Release number of selected component (if applicable):

F7

Comment 1 Jeremy Katz 2007-09-11 17:17:32 UTC
The loader was passing, we just stopped looking at it in anaconda.  Fixed in CVS


Note You need to log in before you can comment on or make changes to this bug.